<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: NeutralBullet Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classNeutralBullet-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NeutralBullet Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for NeutralBullet:</div>
<div class="dyncontent">
<div class="center"><img src="classNeutralBullet__inherit__graph.png" border="0" usemap="#aNeutralBullet_inherit__map" alt="Inheritance graph"/></div>
<map name="aNeutralBullet_inherit__map" id="aNeutralBullet_inherit__map">
<area shape="rect" title=" " alt="" coords="17,155,125,181"/>
<area shape="rect" href="classCard.html" title=" " alt="" coords="45,80,97,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for NeutralBullet:</div>
<div class="dyncontent">
<div class="center"><img src="classNeutralBullet__coll__graph.png" border="0" usemap="#aNeutralBullet_coll__map" alt="Collaboration graph"/></div>
<map name="aNeutralBullet_coll__map" id="aNeutralBullet_coll__map">
<area shape="rect" title=" " alt="" coords="17,155,125,181"/>
<area shape="rect" href="classCard.html" title=" " alt="" coords="45,80,97,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a40e5c8e69459eb0f11ee1c8ce6923f8c"><td class="memItemLeft" align="right" valign="top"><a id="a40e5c8e69459eb0f11ee1c8ce6923f8c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>NeutralBullet</b> (BanditType id)</td></tr>
<tr class="separator:a40e5c8e69459eb0f11ee1c8ce6923f8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf9e95df6d2c8598cee971bd09a316c"><td class="memItemLeft" align="right" valign="top"><a id="aecf9e95df6d2c8598cee971bd09a316c"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Copy</b> () const override</td></tr>
<tr class="separator:aecf9e95df6d2c8598cee971bd09a316c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7040f47bd42ccebb3e48cf30958f8fc7"><td class="memItemLeft" align="right" valign="top"><a id="a7040f47bd42ccebb3e48cf30958f8fc7"></a>
const BanditType &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>id</b> () const</td></tr>
<tr class="separator:a7040f47bd42ccebb3e48cf30958f8fc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99f5ccbddc8cb166a50db1418e73175a"><td class="memItemLeft" align="right" valign="top"><a id="a99f5ccbddc8cb166a50db1418e73175a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setId</b> (const BanditType &amp;newId)</td></tr>
<tr class="separator:a99f5ccbddc8cb166a50db1418e73175a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97271f383ac2338061604d5d36ea86b9"><td class="memItemLeft" align="right" valign="top"><a id="a97271f383ac2338061604d5d36ea86b9"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> () const override</td></tr>
<tr class="separator:a97271f383ac2338061604d5d36ea86b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e63623fb580ba2dd14faf63c0070d3c"><td class="memItemLeft" align="right" valign="top"><a id="a7e63623fb580ba2dd14faf63c0070d3c"></a>
CardType&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> () const override</td></tr>
<tr class="separator:a7e63623fb580ba2dd14faf63c0070d3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646d0abf5f9eba9ab40611d43b89b986"><td class="memItemLeft" align="right" valign="top"><a id="a646d0abf5f9eba9ab40611d43b89b986"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override</td></tr>
<tr class="separator:a646d0abf5f9eba9ab40611d43b89b986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCard"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCard')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCard.html">Card</a></td></tr>
<tr class="memitem:a2a3492d5ca05d25e41baa9757b582018 inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a2a3492d5ca05d25e41baa9757b582018"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFaceUp</b> (bool newFaceUp)</td></tr>
<tr class="separator:a2a3492d5ca05d25e41baa9757b582018 inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71a275a58c831ff43aed02c58cb77def inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a71a275a58c831ff43aed02c58cb77def"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>faceUp</b> () const</td></tr>
<tr class="separator:a71a275a58c831ff43aed02c58cb77def inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf37e521ce4fdf70939374c621d28c4c inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="aaf37e521ce4fdf70939374c621d28c4c"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:aaf37e521ce4fdf70939374c621d28c4c inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbb20327a547f072b8259832bd4da4a inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a5dbb20327a547f072b8259832bd4da4a"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a5dbb20327a547f072b8259832bd4da4a inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b04c8a99f55d212db91c8d3507339a inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a24b04c8a99f55d212db91c8d3507339a"></a>
virtual QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a24b04c8a99f55d212db91c8d3507339a inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a731947ca9a438d2af418586414b3e2c9 inherit pub_methods_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a731947ca9a438d2af418586414b3e2c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a731947ca9a438d2af418586414b3e2c9 inherit pub_methods_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header signals_classCard"><td colspan="2" onclick="javascript:toggleInherit('signals_classCard')"><img src="closed.png" alt="-"/>&#160;Signals inherited from <a class="el" href="classCard.html">Card</a></td></tr>
<tr class="memitem:a28843c9600a7cf78360792a21e72a8fa inherit signals_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a28843c9600a7cf78360792a21e72a8fa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clicked</b> ()</td></tr>
<tr class="separator:a28843c9600a7cf78360792a21e72a8fa inherit signals_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f043cedcc36cc63ea403baeebb96825 inherit signals_classCard"><td class="memItemLeft" align="right" valign="top"><a id="a0f043cedcc36cc63ea403baeebb96825"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCard</b> (<a class="el" href="classCard.html">Card</a> *c)</td></tr>
<tr class="separator:a0f043cedcc36cc63ea403baeebb96825 inherit signals_classCard"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="neutralbullet_8h_source.html">neutralbullet.h</a></li>
<li>src/neutralbullet.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
